VERSION 5.00
Object = "{EEE78583-FE22-11D0-8BEF-0060081841DE}#1.0#0"; "XVoice.dll"
Begin VB.Form frmFight 
   Caption         =   "Fight Me! By Brandy Hendricks"
   ClientHeight    =   3090
   ClientLeft      =   165
   ClientTop       =   555
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin ACTIVEVOICEPROJECTLibCtl.DirectSS DirectSS1 
      Height          =   2895
      Left            =   960
      OleObjectBlob   =   "frmFight.frx":0000
      TabIndex        =   0
      Top             =   120
      Visible         =   0   'False
      Width           =   2895
   End
   Begin VB.Timer tmrOpponent 
      Left            =   0
      Top             =   7200
   End
   Begin VB.Timer tmrOpponentAttack 
      Left            =   0
      Top             =   10000
   End
   Begin VB.Timer tmrBackup 
      Left            =   0
      Top             =   10500
   End
End
Attribute VB_Name = "frmFight"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Fight Me!
' An accessible fighting game for the blind
' If you want to declare two or more items as the same thing, we use this. This code sets up our position.
Dim XPos, YPos As Integer
' Declares the opponents, the time to send an opponent, for the opponent to attack, and time for backup, plus the opponent's health.
Dim Opponents                 As Long, TimeToSendOpponent As Long, TimeToAttack As Long, TimeForBackup As Long, OpponentHealth As Long
' Declare your health
Dim Health                    As Long
' Declare how many hits you have.
Dim Hits                      As Long
' This variable is for the number of drinks you have.
Dim Drinks                    As Long
'Declare your weapons.
Dim Weapons                   As Long, OpponentWeapons As Long
'Declare your counters for the timers.
Dim lngSendOpponentCounter    As Long, lngOpponentAttackCounter As Long, lngBackupCounter As Long
'For playing sounds with sndPlaySound
Private Declare Function sndPlaySound Lib "winmm.dll" Alias "sndPlaySoundA" _
    (ByVal lpszSoundName As String, _
    ByVal uFlags As Long) As Long
Private Const sndAsync = 1
'Using sndAsync means that the sound will not be cut off.
' See the commented example below.
Private Const sndLoop = 8
' Using sndLoop means that the sound will loop.
Private Const sndNoStop = 10
' And, using sndNoStop means that the sound won't be stopped.

Private Sub CanIUseDrinks()
   ' This is used to make sure the drinks are not used before they are supposed to be.
   If Drinks = 0 Or Drinks < 0 Then Exit Sub
' This will use a drink when it's time.
If Health < 100 Then
    ' Play the sound for the drink.
    sndPlaySound App.Path & "\drink.wav", sndNoStop
'Now let's have sapi 4 tell you what you've done here."
DirectSS1.Speak "You have used a drink."
' Brings your health back up to 100 percent.
Health = 100
' Subtracts the drink you've used from the number of drinks you have.
Drinks = Drinks - 1
' Ends the If statement.
End If
' Ends the sub.
End Sub
' If you were to use this code in a function, you would type this without the apostrophe.
' End Function

Private Sub DidHeAttack()
'This sub is used to generate whether the opponent will attack or not. If it is randomly chosen for him to attack, this sub also contains the code to make it happen.
'Ok. The following will declare our variable for the random number. You can use anything you want for this, but the example used here is lngRanNum.
Dim lngRanNum As Long
'This next bit of code randomizes everything.
lngRanNum = Int((3 * Rnd) + 1)
'Ok, now we'll go through our random numbers that will be chosen, which are 1 through 3 in this procedure.
' for number 1
If lngRanNum = 1 Then
If your opponent doesn't have a weapon, hit.wav will be played by using this code.
sndPlaySound App.Path & "\hit.wav", sndNoStop
'Remember: sndNoStop doesn't mean the sound will keep playing. That's not what we want it to do.
' It simply means that it will keep the sound from being interrupted when it is played.
'This code subtracts two percent of your health when you are hit by the opponent.
    Health = Health - 2
' Now we will have this code call another sub-routine.
' There are two ways of doing this. One, which is the way I describe here, is just to type the name of the sub with nothing before it.
' Another way to call another sub-routine is to type "call" without the quotes and then the name of the sub you want to call.
' Let's say you had a sub or function that was called ShowMeTheCode, and you wanted to call it, but you didn't want to just type it.
'The code would go like the following example, but without the apostrophe before it.
' call ShowMeTheCode
' Ok. Now you've seen how to call another sub or function.
' We will now call the sub or function called HowAmI, to check your health.
HowAmI
' Ends the If statment.
End If
' For 2.
If lngRanNum = 2 Then
' The following code gives your opponent a weapon.
OpponentWeapons = 1
'And now, we'll play the sound for the weapon.
sndPlaySound App.Path & "\weapon_opponent.wav", sndNoStop
'Now, we'll take away his weapon so it's not used.
    OpponentWeapons = 0
'We'll subtract 2 percent of your health.
Health = Health - 2
HowAmI
End If
' For 3.
If lngRanNum = 3 Then
'If #3 is chosen, the opponent will not attack, so we will play this sound.
sndPlaySound App.Path & "\try_me.wav", sndNoStop
    End If
    End Sub

Private Sub DoesHeHaveAWeapon()
' This sub checks to see if the generated opponent has a weapon or not.
Dim lngRanNum As Long
   lngRanNum = Int((2 * Rnd) + 1)
' Ok. We only have two numbers to worry about here.
' For #1.
If lngRanNum = 1 Then
' Your opponent doesn't have a weapon, so we'll use this code.
OpponentWeapons = 0
' We will now have our speech tell you that he doesn't have a weapon.
DirectSS1.Speak "He does not have a weapon."
End If
' For 2.
If lngRanNum = 2 Then
' Your opponent has a weapon, so we'll use this code.
OpponentWeapons = 1
' And now, our speech.
DirectSS1.Speak "He has a weapon in his hand."
End If
   End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
' You will always want to make sure you have Key Preview set to True before you can use this procedure.
From the Form Designer, press F4. This will bring up the properties for your form.
'Ok. Now, you will look for Key Preview. By default, it is set to False.
' If you want to be able to use the keyboard in your application, you will want to set this to True.
' Now you're good to go.
Select Case KeyCode
' This starts the selection of the different cases.
' Does this sound familiar to you Autoit users?
Case vbKeyP
' This means that if P is pressed, the game will be paused. As a result, the following code must be used.
' The following code checks to see if the timers are enabled or not. If they are enabled, this will pause them.
If tmrOpponent.Enabled = True And tmrOpponentAttack.Enabled = True And tmrBackup.Enabled = True Then
DirectSS1.Speak "The game is paused. Press P at any time to unpause."
tmrOpponent.Enabled = False
tmrOpponentAttack.Enabled = False
tmrBackup.Enabled = False
Else
' If the game has been paused and the timers have been disabled, this will enable them and unpause the game.
DirectSS1.Speak "The game is not paused."
tmrOpponent.Enabled = True
tmrOpponentAttack.Enabled = True
tmrBackup.Enabled = True
End If
Case vbKeyC
' If C is pressed, an opponent will be challenged.
OpponentChallenged
Case vbKeyReturn
' This will give you backup if Enter is pressed.
GiveMeBackup
Case vbKeyF2
' F2 gives you your health.
DirectSS1.Speak Health & " percent of your health."
Case vbKey2
' Pressing 2 will tell you how many drinks you have by this code.
DirectSS1.Speak Drinks & " drinks"
Case vbKeyO
' Pressing O tells you how many opponents you have defeated.
DirectSS1.Speak Hits & " opponents defeated."
Case vbKeyW
' Pressing W will tell you how many weapons you have.
If Weapons > 0 Then
DirectSS1.Speak "You have " & Weapons & " weapons."
ElseIf Weapons = 0 Or Weapons < 0 Then
DirectSS1.Speak "You have no weapons."
End If
    Case vbKeyUp
' Ok. This moves you forward with the Up Arrow key unless there is a wall.
If YPos <= 10 Then
YPos = YPos + 1
sndPlaySound App.Path & "\step1.wav", sndNoStop
    InitObjects
Else
InitObjects
End If
Case vbKeyDown
' The following code moves you backwards with the Down Arrow key.
If YPos >= 0 Then
YPos = YPos - 1
sndPlaySound App.Path & "\step1.wav", sndNoStop
    InitObjects
Else
InitObjects
End If
Case vbKeyLeft
' This moves you to the left with the Left Arrow key.
If XPos <= 10 Then
XPos = XPos - 1
sndPlaySound App.Path & "\step1.wav", sndNoStop
InitObjects
Else
InitObjects
End If
Case vbKeyRight
' This moves you to the right with the right arrow key.
If XPos >= 0 Then
XPos = XPos + 1
sndPlaySound App.Path & "\step1.wav", sndNoStop
    InitObjects
Else
InitObjects
End If
Case vbKeySpace
' The following code is used for your attack.
If Weapons = 0 Or Weapons < 0 Then
' Ok, this code gives you a sense of reality in the game.
If Opponents = 0 Or Opponents < 0 Then
DirectSS1.Speak "Your plan for target practice backfired on you! Don't do that! Ouch! I bet that hurt!"
sndPlaySound App.Path & "\punch.wav", sndNoStop
Health = Health - 2
HowAmI
' If there opponents, the following code will work.
ElseIf Opponents > 0 Then
sndPlaySound App.Path & "\punch.wav", sndNoStop
    OpponentHealth = OpponentHealth - 2
HowIsTheOpponent
End If
End If
If OpponentHealth > 0 Then DidHeAttack
If Weapons > 0 Then
If Opponents = 0 Or Opponents < 0 Then
DirectSS1.Speak "Your plan for target practice backfired on you! Don't do that! Ouch! I bet that hurt!"
sndPlaySound App.Path & "\weapon.wav", sndNoStop
    Health = Health - 2
Weapons = Weapons - 1
HowAmI
ElseIf Opponents > 0 Then
sndPlaySound App.Path & "\weapon.wav", sndNoStop
Weapons = Weapons - 1
OpponentHealth = OpponentHealth - 2
HowIsTheOpponent
If OpponentHealth > 0 Then DidHeAttack
End If
End If
Case vbKeyS
' S will save the game.
SaveGame
Case vbKeyL
' L will load the game.
LoadGame
Case vbKeyEscape
' Escape quits.
DirectSS1.Speak "Thank you for playing Fight Me! an accessible fighting game for the blind. Exiting program."
End
End Select
End Sub

Private Sub Form_Load()
' The Form_Load sub is probably the sub you will use in every program you create with vb6!
' I'll make a separate example soon telling you what all you can do from this sub.
' Change to our working directory.
ChDir App.Path
' Show our form.
 Me.Show
' Introduce the game.
 DirectSS1.Speak "Brandy's Software proudly presents, Fight Me! an accessible fighting game for the blind. Press Escape at any time to exit. Press the space bar to attack an opponent. Press the arrow keys to move forward, backward, left, and right. As you move around the area, you will find items to help you along your way. Press the W key to see how many weapons you have. You may have more than one weapon at a time, but you may not use more than one weapon at a time. You should not have to use any of your drinks because each time you get hit, you use a drink. Press 2 to see how many drinks you have. Press O to see how many opponents you have defeated. Press F2 to see how much health you have. You can press the Enter key to try and call for backup. If backup comes, they will take care of the opponent for you. Press P to pause the game at any time. Press C to challenge an opponent. Press S to save your game. Press L to load your game."
' This asks the user if they want to start a new game or load an existing one.
Dim StartNewGame As String
StartNewGame = MsgBox("Do you want to start a new game?", vbInformation + vbYesNo)
Select Case StartNewGame
Case vbYes
' Call the sub for a new game.
NewGame
Case vbNo
' Load the user's saved game.
LoadGame
   End Sub

Private Sub GiveMeBackup()
' This sub is to generate your backup.
Dim lngRanNum As Long
lngRanNum = Int((3 * Rnd) + 1)
If lngRanNum = 1 Then
If Opponents = 0 Or Opponents < 0 Then
MsgBox "Where is this supposed opponent? I don't see any opponents anywhere!", vbCritical
Exit Sub
ElseIf Opponents > 0 Then
sndPlaySound App.Path & "\weapon.wav", sndNoStop
    OpponentHealth = 0
Opponents = Opponents - 1
Hits = Hits + 1
sndPlaySound App.Path & "\applause.wav", sndNoStop
    If Hits = 4021 Then YouWin
End If
End If
If lngRanNum = 2 Then
If Opponents = 0 Or Opponents < 0 Then
MsgBox "Where is this supposed opponent? I don't see any opponents anywhere!", vbCritical
Exit Sub
ElseIf Opponents > 0 Then
sndPlaySound App.Path & "\punch.wav", sndNoStop
        OpponentHealth = 0
Opponents = Opponents - 1
Hits = Hits + 1
sndPlaySound App.Path & "\applause.wav", sndNoStop
    If Hits = 4021 Then YouWin
End If
End If
If lngRanNum = 3 Then
DirectSS1.Speak "Your backup was unavailable, but I was told to give you this."
WhatDidIFind
End If
    End Sub

Private Sub HowAmI()
' Ok, this sub checks your health.
   If Health > 0 Then
sndPlaySound App.Path & "\ouch.wav", sndNoStop
    CanIUseDrinks
End If
If Health < 0 Then Drinks = Drinks - 1
If Health = 0 Then
DirectSS1.Speak "You lose."
' The following code asks you if you want to play again.
Dim PlayAgain As String
PlayAgain = MsgBox("Would you like to play again?", vbInformation + vbYesNo)
Select Case PlayAgain
Case vbYes
Health = 100
Drinks = 0
Weapons = 0
lngSendOpponentCounter = 0
lngOpponentAttackCounter = 0
lngBackupCounter = 0
TimeToSendOpponent = 0
TimeToAttack = 0
TimeForBackup = 0
DirectSS1.Speak "Brandy's Software proudly presents, Fight Me! an accessible fighting game for the blind! Press Escape at any time to exit. Press the space bar to attack an opponent. Press the arrow keys to move forward, backward, left, and right. As you move around the area, you will find items to help you along your way. Press the W key to see how many weapons you have. You may have more than one weapon at a time, but you may not use more than one weapon at a time. You should not have to use any of your drinks because each time you get hit, you use a drink. Press 2 to see how many drinks you have. Press O to see how many opponents you have defeated. Press F2 to see how much health you have. You can press the Enter key to try and call for backup. If backup comes, they will take care of the opponent for you. Press P to pause the game at any time. Press C to challenge an opponent. Press S to save your game. Press L to load your game."
tmrOpponent.Interval = 300
tmrOpponent.Enabled = True
tmrOpponentAttack.Interval = tmrOpponent.Interval
tmrOpponentAttack.Enabled = True
tmrBackup.Interval = tmrOpponent.Interval
tmrBackup.Enabled = True
Case vbNo
DirectSS1.Speak "Thank you for playing Fight Me! an accessible fighting game for the blind. Exiting program."
End
End Select
End If
End Sub

Private Sub HowIsTheOpponent()
' This sub checks your opponent's health.
   If OpponentHealth > 0 Then
sndPlaySound App.Path & "\ouch_opponent.wav", sndNoStop
    End If
If OpponentHealth = 0 Then
Opponents = Opponents - 1
Hits = Hits + 1
sndPlaySound App.Path & "\applause.wav", sndNoStop
    If Hits = 4021 Then YouWin
End If
End Sub

Private Sub SendOpponent()
' Sends your opponent.
' The following code is repeated several times to give it the effect that sounds like your opponent is walking.
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
   sndPlaySound App.Path & "\step.wav", sndNoStop
    OpponentHealth = 100
Opponents = Opponents + 1
' Calls the appropriate procedures.
WhereIsHe
Call tmrOpponentAttack_Timer
Call tmrBackup_Timer
   End Sub

Private Sub tmrOpponent_Timer()
' This timer is used for deciding when to send an opponent.
Dim lngRanNum As Long
lngSendOpponentCounter = lngSendOpponentCounter + 1
If lngSendOpponentCounter = 200 Then
lngRanNum = Int((2 * Rnd) + 1)
If lngRanNum = 1 Then
SendOpponent
lngSendOpponentCounter = 0
End If
If lngRanNum = 2 Then
lngSendOpponentCounter = 0
End If
End If
   End Sub

Private Sub tmrOpponentAttack_Timer()
' This timer determines when the opponent should attack.
lngOpponentAttackCounter = lngOpponentAttackCounter + 1
If Opponents > 0 Then
If lngOpponentAttackCounter = 30 Then
DidHeAttack
lngOpponentAttackCounter = 0
End If
End If
End Sub

Private Sub tmrBackup_Timer()
' This timer is for your backup.
lngBackupCounter = lngBackupCounter + 1
If Opponents > 0 Then
If lngBackupCounter = 20 Then
GiveMeBackup
lngBackupCounter = 0
End If
End If
End Sub

Private Sub WhatDidIFind()
' This is where you find all of your stuff.
Dim lngRanNum As Long
lngRanNum = Int((21 * Rnd) + 1)
Select Case lngRanNum
Case 1
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
    Weapons = Weapons + 2
DirectSS1.Speak "You have found 2 weapons."
Case 2
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
    Drinks = Drinks + 1
DirectSS1.Speak "You have found 1 drink."
CanIUseDrinks
Case 3
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
        Drinks = Drinks + 1
DirectSS1.Speak "You have found 1 drink."
CanIUseDrinks
Case 4
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
    Weapons = Weapons + 1
DirectSS1.Speak "You have found one weapon."
Case 5
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
        Weapons = Weapons + 5
DirectSS1.Speak "You have found 5 weapons."
Case 6
Weapons = Weapons + 19
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
        DirectSS1.Speak "You have found 19 weapons."
    Case 7
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
    Drinks = Drinks + 50
DirectSS1.Speak "You have found 50 drinks."
CanIUseDrinks
Case 8
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
        Weapons = Weapons + 29
DirectSS1.Speak "You have found 29 weapons."
Case 9
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
        Weapons = Weapons + 2
DirectSS1.Speak "You have found 2 weapons."
Case 10
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
    Drinks = Drinks + 3
DirectSS1.Speak "You have found 3 drinks."
CanIUseDrinks
Case 11
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
        Drinks = Drinks + 3
DirectSS1.Speak "You have found 3 drinks."
CanIUseDrinks
Case 12
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
    Weapons = Weapons + 20
DirectSS1.Speak "You have found 20 weapons."
Case 13
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
    Drinks = Drinks + 3
DirectSS1.Speak "You have found 3 drinks."
CanIUseDrinks
Case 14
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
        Weapons = Weapons + 3
DirectSS1.Speak "You have found 3 weapons."
Case 15
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
        Weapons = Weapons + 5
DirectSS1.Speak "You have found 5 weapons."
Case 16
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
    Drinks = Drinks + 7
DirectSS1.Speak "You have found 7 drinks."
CanIUseDrinks
Case 17
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
        Drinks = Drinks + 8
DirectSS1.Speak "You have found 8 drinks."
CanIUseDrinks
Case 18
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
    Drinks = Drinks + 32
DirectSS1.Speak "You have found 32 drinks."
CanIUseDrinks
Case 19
sndPlaySound App.Path & "\found_bottle.wav", sndNoStop
        Weapons = Weapons + 8
DirectSS1.Speak "You have found 8 weapons."
Case 20
sndPlaySound App.Path & "\found_drink.wav", sndNoStop
    Drinks = Drinks + 10
DirectSS1.Speak "You have found 10 drinks."
CanIUseDrinks
Case 21
DirectSS1.Speak "There is nothing here."
End Select
   End Sub

Private Sub WhereIsHe()
' This sub determines where your opponent is.
Dim lngRanNum As Long
lngRanNum = Int((4 * Rnd) + 1)
If lngRanNum = 1 Then
DirectSS1.Speak "Your opponent is to your left."
DoesHeHaveAWeapon
DidHeAttack
End If
If lngRanNum = 2 Then
DirectSS1.Speak "Your opponent is behind you."
DoesHeHaveAWeapon
DidHeAttack
End If
If lngRanNum = 3 Then
DirectSS1.Speak "Your opponent is in front of you."
DoesHeHaveAWeapon
DidHeAttack
End If
If lngRanNum = 4 Then
DirectSS1.Speak "Your opponent is to your right."
DoesHeHaveAWeapon
DidHeAttack
End If
   End Sub

Private Sub YouWin()
' This is the sub for the winner!
sndPlaySound App.Path & "\applause.wav", sndNoStop
DirectSS1.Speak "You win."
DirectSS1.Speak "Thanks for playing Fight Me! an accessible fighting game for the blind by Brandy Hendricks. Exiting program."
End
End Sub

Private Sub OpponentChallenged()
' Did your opponent accept your challenge? Let this sub decide!
Dim lngRanNum As Long
lngRanNum = Int((2 * Rnd) + 1)
Select Case lngRanNum
Case 1
sndPlaySound App.Path & "\you're_on.wav", sndNoStop
SendOpponent
lngSendOpponentCounter = 0
Case 2
sndPlaySound App.Path & "\no_challenge.wav", sndNoStop
End Select
End Sub

Private Sub InitObjects()
' Initializes the objects in the game. If you get to a certain spot, you hit a wall, but don't worry. You won't lose any health on these walls.
If XPos < 0 Then
sndPlaySound App.Path & "\ouch.wav", sndNoStop
DirectSS1.Speak "Wall."
        ElseIf XPos > 10 Then
sndPlaySound App.Path & "\ouch.wav", sndNoStop
    DirectSS1.Speak "Wall."
    ElseIf YPos < 0 Then
sndPlaySound App.Path & "\ouch.wav", sndNoStop
    DirectSS1.Speak "Wall."
        ElseIf YPos > 10 Then
sndPlaySound App.Path & "\ouch.wav", sndNoStop
    DirectSS1.Speak "Wall."
    Else
Find
End If
End Sub

Private Sub Find()
' This sub determines whether you find anything or not. If you find something, it will call the sub called WhatDidIFind, where it will decide which item to give you.
Dim lngRanNum As Long
lngRanNum = Int((2 * Rnd) + 1)
If lngRanNum = 1 Then
DirectSS1.Speak "There is nothing here."
End If
If lngRanNum = 2 Then
WhatDidIFind
End If
End Sub

Private Sub NewGame()
' This sub starts a new game.
Health = 100
Drinks = 0
Weapons = 0
lngSendOpponentCounter = 0
lngOpponentAttackCounter = 0
lngBackupCounter = 0
TimeToSendOpponent = 0
TimeToAttack = 0
TimeForBackup = 0
tmrOpponent.Interval = 300
tmrOpponent.Enabled = True
tmrOpponentAttack.Interval = tmrOpponent.Interval
tmrOpponentAttack.Enabled = True
tmrBackup.Interval = tmrOpponent.Interval
tmrBackup.Enabled = True
End Sub

Function SaveGame()
' This function saves your game. You will need the following code to save the game. There are a couple of ways to do it. You can either separate everything with commas, or you can press Enter and have the file created like a list.
Open App.Path & "\fight.txt" For Output As #1
Write #1, XPos, YPos, Drinks, Opponents, OpponentHealth, Health, Weapons, OpponentWeapons, lngSendOpponentCounter, lngOpponentAttackCounter, lngBackupCounter
Close #1
DirectSS1.Speak "Game saved."
End Function

Function LoadGame()
' This function loads the game. It's pretty much the same here.
Open App.Path & "\fight.txt" For Input As #1
Input #1, XPos, YPos, Drinks, Opponents, OpponentHealth, Health, Weapons, OpponentWeapons, lngSendOpponentCounter, lngOpponentAttackCounter, lngBackupCounter
Close #1
If lngSendOpponentCounter > 0 Then
tmrOpponent.Interval = lngSendOpponentCounter
tmrOpponent.Enabled = True
Call tmrOpponent_Timer
End If
If lngBackupCounter > 0 Then
tmrBackup.Interval = lngBackupCounter
tmrBackup.Enabled = True
Call tmrBackup_Timer
End If
If lngOpponentAttackCounter > 0 Then
tmrOpponentAttack.Interval = lngOpponentAttackCounter
tmrOpponentAttack.Enabled = True
Call tmrOpponentAttack_Timer
End If
DirectSS1.Speak "Your game has been loaded successfully. Good luck!"
End Function

